Subject: bug#11083: guile-2.0.5 bug report

From: Kiyoshi KANAZAWA <[email-masked]>
Date: Thu, 5 Apr 2012 22:37:03 +0900 (JST)

Hi, Mark

I installed the latest gdb-7.4 to run 'meta/gdb-uninstalled-guile', but failed.
% meta/gdb-uninstalled-guile
GNU gdb (GDB) 7.4
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "i386-pc-solaris2.10".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /tmp/guile-2.0.5/libguile/.libs/guile...done.
(gdb) run
Starting program: /tmp/guile-2.0.5/libguile/.libs/guile 
procfs:4200 -- process not stopped.
procfs: ...giving up...

We still have the same problem as <http://sources.redhat.com/ml/gdb-prs/2011-q4/msg00050.html> in the latest gdb.

I used dbx debugger instead.
At first, back traced libguile/core (See BackTrace1.txt attached).
After that, executed "meta/uninstalled-env guild snarf-check-and-output-texi" from the build directory wirh ENVIRONMENT GUILE_AUTO_COMPILE = 0, and  found core dumped again.
Back traced this new core again (See BackTrace2.txt) to compare.
The function scm_from_stringn () is called with bad address.

Keep in mind that patch 5de0053178b4acc793ae62838175e5f3ab56c603 is appyed.

Regards,

--- Kiyoshi <[email-masked]>

--- On Thu, 2012/4/5, Mark H Weaver <[email-masked]> wrote:

> Presumably something is broken for 64-bit builds on Solaris 10.  I
> suggest using a debugger to find out where the segfault is happening.
> Can you please run 'meta/gdb-uninstalled-guile' within the build
> directory and show us the backtrace when it segfaults?
> 
>     Regards,
>       Mark
>